Search Unity

  1. Welcome to the Unity Forums! Please take the time to read our Code of Conduct to familiarize yourself with the forum rules and how to post constructively.
  2. The 2023.1 beta is now available for testing. To find out what's new, have a look at our 2023.1 feature highlights.
    Dismiss Notice

[2019.2.0a11] 4x equivalent does not show in Player settings Scripting Backend

Discussion in '2019.2 Beta' started by APSchmidt, May 4, 2019.

  1. APSchmidt

    APSchmidt

    Joined:
    Aug 8, 2016
    Posts:
    4,322
    I created a new project with 2019.2.0a11 and noticed this in the Player settings:

    Sans-titre-1.jpg

    Am I missing something? I recently switched to Visual Studio 2019.
     
  2. rz_0lento

    rz_0lento

    Joined:
    Oct 8, 2013
    Posts:
    2,357
    There's no 3.5 anymore on 2019.2 so the setting is removed (it's always 4.x).

    3.5 got deprecated for 2019.1 I think so it was logical for them to remove the support fully on 2019.2.
     
  3. APSchmidt

    APSchmidt

    Joined:
    Aug 8, 2016
    Posts:
    4,322
    Ah, thank you. :)

    API compatibility level is still set to ".NET Standard 2.0", must I switch to ".NET 4x"?
     
  4. rz_0lento

    rz_0lento

    Joined:
    Oct 8, 2013
    Posts:
    2,357
    That setting is the same as on previous versions, you can use either, depending what you need. Some packages could require 4x setting but most will run on 2.0. 2.0 will produce slightly smaller binaries on standalone build I think but there's been work on stripping the unused parts so it probably doesn't make as big of a difference as before.
     
  5. APSchmidt

    APSchmidt

    Joined:
    Aug 8, 2016
    Posts:
    4,322
    Thank you for your answers. So, I can trust Unity and use the default settings. :)
     
  6. APSchmidt

    APSchmidt

    Joined:
    Aug 8, 2016
    Posts:
    4,322